Link (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Link class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Link

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Link

Direct Known Subclasses:
  Icon

    public class Link

extends KmlObject

Constructor Summary
`Link()`
`Link(java.lang.String href, RefreshModeEnum refreshMode, java.lang.Double refreshInterval, ViewRefreshModeEnum viewRefreshMode, java.lang.Double viewRefreshTime, java.lang.Double viewBoundScale, ViewFormat viewFormat, java.lang.String httpQuery)`

Method Summary
`java.lang.String` | `getHref()`
`java.lang.String` | `getHttpQuery()`
`java.lang.Double` | `getRefreshInterval()`
`RefreshModeEnum` | `getRefreshMode()`
`java.lang.Double` | `getViewBoundScale()`
`ViewFormat` | `getViewFormat()`
`ViewRefreshModeEnum` | `getViewRefreshMode()`
`java.lang.Double` | `getViewRefreshTime()`
`void` | `setHref(java.lang.String href)`
`void` | `setHttpQuery(java.lang.String httpQuery)`
`void` | `setRefreshInterval(java.lang.Double refreshInterval)`
`void` | `setRefreshMode(RefreshModeEnum refreshMode)`
`void` | `setViewBoundScale(java.lang.Double viewBoundScale)`
`void` | `setViewFormat(ViewFormat viewFormat)`
`void` | `setViewRefreshMode(ViewRefreshModeEnum viewRefreshMode)`
`void` | `setViewRefreshTime(java.lang.Double viewRefreshTime)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`
`protected void` | `writeInner(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Link

    public Link()

### Link

    public Link(java.lang.String href,
                RefreshModeEnum refreshMode,
                java.lang.Double refreshInterval,
                ViewRefreshModeEnum viewRefreshMode,
                java.lang.Double viewRefreshTime,
                java.lang.Double viewBoundScale,
                ViewFormat viewFormat,
                java.lang.String httpQuery)

Method Detail

### getHref

    public java.lang.String getHref()

### setHref

    public void setHref(java.lang.String href)

### getRefreshMode

    public RefreshModeEnum getRefreshMode()

### setRefreshMode

    public void setRefreshMode(RefreshModeEnum refreshMode)

### getRefreshInterval

    public java.lang.Double getRefreshInterval()

### setRefreshInterval

    public void setRefreshInterval(java.lang.Double refreshInterval)

### getViewRefreshMode

    public ViewRefreshModeEnum getViewRefreshMode()

### setViewRefreshMode

    public void setViewRefreshMode(ViewRefreshModeEnum viewRefreshMode)

### getViewRefreshTime

    public java.lang.Double getViewRefreshTime()

### setViewRefreshTime

    public void setViewRefreshTime(java.lang.Double viewRefreshTime)

### getViewBoundScale

    public java.lang.Double getViewBoundScale()

### setViewBoundScale

    public void setViewBoundScale(java.lang.Double viewBoundScale)

### getViewFormat

    public ViewFormat getViewFormat()

### setViewFormat

    public void setViewFormat(ViewFormat viewFormat)

### getHttpQuery

    public java.lang.String getHttpQuery()

### setHttpQuery

    public void setHttpQuery(java.lang.String httpQuery)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

### writeInner

    protected void writeInner(Kml kml)
                       throws KmlException

  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD